For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Project Versions
      • GETDownload MSProject Xml
      • POSTRestore Project Version
      • POSTCopy Project Version
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Version

Download MSProject Xml

GET
https://api.projectmanager.com/api/data/projects/:projectChangeId/version/download
GET
/api/data/projects/:projectChangeId/version/download
$curl https://api.projectmanager.com/api/data/projects/projectChangeId/version/download \
> -H "Authorization: Bearer <token>"
200Retrieved
1"string"
Exports and returns project version as an MS Project XML attachment
Was this page helpful?
Previous

Restore Project Version

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectChangeIdstringRequiredformat: "uuid"
Project change Guid

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success